# OpalMediaStreamPacing Class Reference

`#include <mediastrm.h>`

Inheritance diagram for OpalMediaStreamPacing:

[legend]

## Public Member Functions

| OpalMediaStreamPacing (const OpalMediaFormat &mediaFormat)
void | Pace (bool reading, PINDEX bytes, bool &marker)
| Delay appropriate time for the written bytes.
bool | UpdateMediaFormat (const OpalMediaFormat &mediaFormat)

## Protected Attributes

bool | m_timeOnMarkers
unsigned | m_frameTime
PINDEX | m_frameSize
unsigned | m_timeUnits
PAdaptiveDelay | m_delay

## Detailed Description

This is a helper class to delay the right time for non I/O bound streams.

## Constructor & Destructor Documentation

OpalMediaStreamPacing::OpalMediaStreamPacing | ( | const OpalMediaFormat & | mediaFormat | ) |

Parameters:

  mediaFormat | Media format for stream

## Member Function Documentation

void OpalMediaStreamPacing::Pace | ( | bool | reading,
|  | PINDEX | bytes,
|  | bool & | marker |
| ) |  |  |

Delay appropriate time for the written bytes.

Parameters:

  reading | Are reading from medium
  bytes | Bytes read/written
  marker | RTP Marker

bool OpalMediaStreamPacing::UpdateMediaFormat | ( | const OpalMediaFormat & | mediaFormat | ) |

Parameters:

  mediaFormat | New media format

## Field Documentation

PAdaptiveDelay OpalMediaStreamPacing::m_delay `[protected]`

PINDEX OpalMediaStreamPacing::m_frameSize `[protected]`

unsigned OpalMediaStreamPacing::m_frameTime `[protected]`

bool OpalMediaStreamPacing::m_timeOnMarkers `[protected]`

unsigned OpalMediaStreamPacing::m_timeUnits `[protected]`

The documentation for this class was generated from the following file:

- mediastrm.h